curl --request GET \
--url https://vitalog-api.example.com/v1/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://vitalog-api.example.com/v1/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vitalog-api.example.com/v1/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"catalog_version": "1.0.4",
"category": "overview",
"response_variant": "overview",
"categories": [
"overview"
],
"record_types": [
"measurement"
],
"counts": {
"nutrients": 500000000,
"lab_panels": 500000000,
"lab_analytes": 500000000,
"measurements": 500000000,
"record_schemas": 500000000
},
"panel_keys": [
"cbc"
],
"nutrient_groups": {},
"measurement_groups": {},
"custom_analyte_policy": "<string>",
"discovery_examples": [
{
"category": "overview",
"panel_key": "cbc",
"key": "<string>",
"include_schema": true
}
],
"openapi_path": "/openapi.json",
"record_schema_path": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}Get catalog
Discover exact supported keys, panel memberships, nested fields, units and complete schemas. Returns code definitions independently of health data.
Authorizations
Environment AUTH_KEY. Full ledger access and primary API-key administration. Not OAuth or JWT.
Query Parameters
Exactly one parameter; booleans are true/false, arrays are comma-separated. Empty values are rejected.
overview, nutrients, lab_panels, lab_analytes, measurements, record_schemas Exactly one parameter; booleans are true/false, arrays are comma-separated. Empty values are rejected.
1 - 100Exactly one parameter; booleans are true/false, arrays are comma-separated. Empty values are rejected.
1 - 100Exactly one parameter; booleans are true/false, arrays are comma-separated. Empty values are rejected.
1 - 200^(?:\/(?:[^~\/]|~[01])*)+$Exactly one parameter; booleans are true/false, arrays are comma-separated. Empty values are rejected.
1 - 100Exactly one parameter; booleans are true/false, arrays are comma-separated. Empty values are rejected.
1 - 100Exactly one parameter; booleans are true/false, arrays are comma-separated. Empty values are rejected.
Exactly one parameter; booleans are true/false, arrays are comma-separated. Empty values are rejected.
1 <= x <= 100Exactly one parameter; booleans are true/false, arrays are comma-separated. Empty values are rejected.
1 - 2000Exactly one parameter; booleans are true/false, arrays are comma-separated. Empty values are rejected.
1 - 50Response
Successful domain response
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
"1.0.4""overview""overview"6overview, nutrients, lab_panels, lab_analytes, measurements, record_schemas 8measurement, nutrition, hydration, activity, sleep, checkin, intake, lab_result Show child attributes
Show child attributes
30cbc, reticulocyte_hemoglobinopathy, glycemic, lipid, renal_electrolytes, urine_quantitative, liver_protein, thyroid, iron_studies, vitamins_minerals, inflammation, urinalysis, coagulation, cardiac_muscle, pancreatic_digestive, bone_metabolism, pituitary_adrenal, reproductive_hormones, reproductive_semen, immunology_autoimmune, celiac, infectious_serology, microbiology_molecular, stool_digestive, tumor_markers, therapeutic_drug_monitoring, toxicology_metals, blood_group_immunohematology, specimen_quality, blood_gas Show child attributes
Show child attributes
Show child attributes
Show child attributes
1 - 500Show child attributes
Show child attributes
"/openapi.json"1 - 100Was this page helpful?
